﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_constraint.sql **/
 
EXEC P_ALTERPK 'PK_OCDPM_PROMOSTRATEGY_L', 'T_OCDPM_PROMOSTRATEGY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOSTRATEGYL_FLID') CREATE INDEX IDX_OCDPM_PROMOSTRATEGYL_FLID ON T_OCDPM_PROMOSTRATEGY_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_OCDPM_PROMOSTRATEGY', 'T_OCDPM_PROMOSTRATEGY', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOSTRATEGY_NUM') CREATE INDEX IDX_OCDPM_PROMOSTRATEGY_NUM ON T_OCDPM_PROMOSTRATEGY ( FNUMBER );


EXEC P_ALTERPK 'PK_OCDPM_PROMOOBJECT_L', 'T_OCDPM_PROMOOBJECT_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOOBJECTL_FLID') CREATE INDEX IDX_OCDPM_PROMOOBJECTL_FLID ON T_OCDPM_PROMOOBJECT_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_OCDPM_PROMOOBJECT', 'T_OCDPM_PROMOOBJECT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOOBJECT_NUM') CREATE INDEX IDX_OCDPM_PROMOOBJECT_NUM ON T_OCDPM_PROMOOBJECT ( FNUMBER );

EXEC P_ALTERPK 'PK_OCDPM_PROMODEPLOY', 'T_OCDPM_PROMODEPLOY', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMODEPLOY_NUM') CREATE INDEX IDX_OCDPM_PROMODEPLOY_NUM ON T_OCDPM_PROMODEPLOY ( FNUMBER );

EXEC P_ALTERPK 'PK_OCDPM_PROMODEPLOY_L', 'T_OCDPM_PROMODEPLOY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMODEPLOYL_FLID') CREATE INDEX IDX_OCDPM_PROMODEPLOYL_FLID ON T_OCDPM_PROMODEPLOY_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_OCDPM_PROMOTIONTYPE', 'T_OCDPM_PROMOTIONTYPE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTIONTYPE_NUM') CREATE INDEX IDX_OCDPM_PROMOTIONTYPE_NUM ON T_OCDPM_PROMOTIONTYPE ( FNUMBER );


EXEC P_ALTERPK 'PK_OCDPM_PROMOTIONTYPE_L', 'T_OCDPM_PROMOTIONTYPE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTYPEL_FLID') CREATE INDEX IDX_OCDPM_PROMOTYPEL_FLID ON T_OCDPM_PROMOTIONTYPE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_OCDPM_PROMOTYPEENTRY_L', 'T_OCDPM_PROMOTYPEENTRY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTYPEENTL_ELID') CREATE INDEX IDX_OCDPM_PROMOTYPEENTL_ELID ON T_OCDPM_PROMOTYPEENTRY_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_OCDPM_PP_EXCDETAIL', 'T_OCDPM_PP_EXCDETAIL', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PPEXCDETAIL_FID') CREATE INDEX IDX_OCDPM_PPEXCDETAIL_FID ON T_OCDPM_PP_EXCDETAIL ( FID );


EXEC P_ALTERPK 'PK_OCDPM_PP_ORDER', 'T_OCDPM_PP_ORDER', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PP_ORDER_FID') CREATE INDEX IDX_OCDPM_PP_ORDER_FID ON T_OCDPM_PP_ORDER ( FID );


EXEC P_ALTERPK 'PK_OCDPM_PP_POLICYS', 'T_OCDPM_PP_POLICYS', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PP_POLICYS_FBID') CREATE INDEX IDX_OCDPM_PP_POLICYS_FBID ON T_OCDPM_PP_POLICYS ( FENTRYID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_OCDPM_PP_RULE', 'T_OCDPM_PP_RULE', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PPRULE_FID') CREATE INDEX IDX_OCDPM_PPRULE_FID ON T_OCDPM_PP_RULE ( FID );


EXEC P_ALTERPK 'PK_OCDPM_PP_RULE_X', 'T_OCDPM_PP_RULE_X', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PPRULEX_FID') CREATE INDEX IDX_OCDPM_PPRULEX_FID ON T_OCDPM_PP_RULE_X ( FID );


EXEC P_ALTERPK 'PK_OCDPM_PP_SALE', 'T_OCDPM_PP_SALE', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PPSALE_FID') CREATE INDEX IDX_OCDPM_PPSALE_FID ON T_OCDPM_PP_SALE ( FID );


EXEC P_ALTERPK 'PK_OCDPM_PROMOTEPOLICY', 'T_OCDPM_PROMOTEPOLICY', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEPOLICY_NO') CREATE INDEX IDX_OCDPM_PROMOTEPOLICY_NO ON T_OCDPM_PROMOTEPOLICY ( FBILLNO );

EXEC P_ALTERPK 'PK_OCDPM_PROMOTYPEENTRY', 'T_OCDPM_PROMOTYPEENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTYPE_FID') CREATE INDEX IDX_OCDPM_PROMOTYPE_FID ON T_OCDPM_PROMOTYPEENTRY ( FID );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_constraint.sql **/
