﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOSTRATEGY_L') 
 CREATE TABLE T_OCDPM_PROMOSTRATEGY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOSTRATEGY') 
 CREATE TABLE T_OCDPM_PROMOSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOOBJECT_L') 
 CREATE TABLE T_OCDPM_PROMOOBJECT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOOBJECT') 
 CREATE TABLE T_OCDPM_PROMOOBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMODEPLOY') 
 CREATE TABLE T_OCDPM_PROMODEPLOY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOBJECTID BIGINT DEFAULT 0 NOT NULL,
FPROMREQUIRE CHAR(1) DEFAULT 'A' NOT NULL,
FLADDERTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMODEPLOY_L') 
 CREATE TABLE T_OCDPM_PROMODEPLOY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTIONTYPE') 
 CREATE TABLE T_OCDPM_PROMOTIONTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONPOLICYID BIGINT DEFAULT 0 NOT NULL,
FPROMOBJECTID BIGINT DEFAULT 0 NOT NULL,
FPROMREQUIRE CHAR(1) DEFAULT 'A' NOT NULL,
FPROMLINK CHAR(1) DEFAULT 'A' NOT NULL,
FLADDERTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FISDEPLOY CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTIONTYPE_L') 
 CREATE TABLE T_OCDPM_PROMOTIONTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTYPEENTRY_L') 
 CREATE TABLE T_OCDPM_PROMOTYPEENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FFIELDNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PP_EXCDETAIL') 
 CREATE TABLE T_OCDPM_PP_EXCDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXCEPTIONITEMID BIGINT DEFAULT 0 NOT NULL,
FEXCEPTIONMATERIALID BIGINT DEFAULT 0 NOT NULL,
FEXCEPTIONUNITID BIGINT DEFAULT 0 NOT NULL,
FEXCEPTIONAUXPTY BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PP_ORDER') 
 CREATE TABLE T_OCDPM_PP_ORDER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERCLASSID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCHANNELCLASSID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PP_POLICYS') 
 CREATE TABLE T_OCDPM_PP_POLICYS (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PP_RULE') 
 CREATE TABLE T_OCDPM_PP_RULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROGROUPNOID BIGINT DEFAULT 0 NOT NULL,
FLADDERNOID BIGINT DEFAULT 0 NOT NULL,
FROWTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FPGGROUPNOID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FPROSTARTTIME DATETIME,
FPROENDTIME DATETIME,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PP_RULE_X') 
 CREATE TABLE T_OCDPM_PP_RULE_X (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPROCONDITION CHAR(1) DEFAULT ' ' NOT NULL,
FBUYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEBUYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUYMUTIPLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINLIMITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINBUYPIECE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINLIMITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDERMINBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDERMAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDERMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDERMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDERMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDERMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHISGIFTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCYCLEACCOUNT CHAR(1) DEFAULT '0' NOT NULL,
FTYPEINGROUP BIGINT DEFAULT 0 NOT NULL,
FTHATGIFTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEGIFTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHATGIFTEXCPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTHATCYCLEACCOUNT CHAR(1) DEFAULT '0' NOT NULL,
FTYPEBETGROUP BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTTATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXEDDISCTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISFIXEDDISCTCYCLE CHAR(1) DEFAULT '0' NOT NULL,
FPRICEDISCTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPERPRICECYCLE CHAR(1) DEFAULT '0' NOT NULL,
FPROUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPROPRICECYCLE CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PP_SALE') 
 CREATE TABLE T_OCDPM_PP_SALE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTEPOLICY') 
 CREATE TABLE T_OCDPM_PROMOTEPOLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT 'A' NOT NULL,
FPROMOTETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEFFECTIVEDATE DATETIME,
FEXPIRATIONDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FINVALIDUSERID BIGINT DEFAULT 0 NOT NULL,
FINVALIDTIME DATETIME,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTYPEENTRY') 
 CREATE TABLE T_OCDPM_PROMOTYPEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDKEY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISHIDE CHAR(1) DEFAULT '1' NOT NULL,
FISEDIT CHAR(1) DEFAULT '1' NOT NULL,
FREQUIRE CHAR(1) DEFAULT '1' NOT NULL,
FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_table.sql **/
