﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_constraint.sql **/


 EXEC P_ALTERPK 'PK_OCDPM_DEPLOYSTRATEGY', 'T_OCDPM_DEPLOYSTRATEGY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_DEPLOYSTR_FIDBDID') CREATE INDEX IDX_OCDPM_DEPLOYSTR_FIDBDID ON T_OCDPM_DEPLOYSTRATEGY ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDPM_PROSTRATEGY', 'T_OCDPM_PROSTRATEGY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROSTRATEGY_FBID') CREATE INDEX IDX_OCDPM_PROSTRATEGY_FBID ON T_OCDPM_PROSTRATEGY ( FID ,FBASEDATAID );

 EXEC P_ALTERPK 'PK_OCDPM_COMBINATIONENTRY', 'T_OCDPM_COMBINATIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_COMBINATIONENTRY_ID') CREATE INDEX IDX_OCDPM_COMBINATIONENTRY_ID ON T_OCDPM_COMBINATIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_CONDITION', 'T_OCDPM_CONDITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_CONDITION_OWNID') CREATE INDEX IDX_OCDPM_CONDITION_OWNID ON T_OCDPM_CONDITION ( FOWNERID );


 EXEC P_ALTERPK 'PK_OCDPM_CONRANGETYPE', 'T_OCDPM_CONRANGETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_CONRANGETYPE_NUM') CREATE INDEX IDX_OCDPM_CONRANGETYPE_NUM ON T_OCDPM_CONRANGETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDPM_CONRANGETYPE_L', 'T_OCDPM_CONRANGETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_CONRANGETYPEL_LID') CREATE INDEX IDX_OCDPM_CONRANGETYPEL_LID ON T_OCDPM_CONRANGETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDPM_CUSTOMERRANGE', 'T_OCDPM_CUSTOMERRANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_CUSTOMERRANGE_OWNID') CREATE INDEX IDX_OCDPM_CUSTOMERRANGE_OWNID ON T_OCDPM_CUSTOMERRANGE ( FOWNERID );


 EXEC P_ALTERPK 'PK_OCDPM_CUSTOMERRANGEENT', 'T_OCDPM_CUSTOMERRANGEENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_CUSTOMERRANGEENT_ID') CREATE INDEX IDX_OCDPM_CUSTOMERRANGEENT_ID ON T_OCDPM_CUSTOMERRANGEENT ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_CUSTOMERSCOPE', 'T_OCDPM_CUSTOMERSCOPE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_CUSTOMERSCOPE_ID') CREATE INDEX IDX_OCDPM_CUSTOMERSCOPE_ID ON T_OCDPM_CUSTOMERSCOPE ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_EXECUTION', 'T_OCDPM_EXECUTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_EXECUTION_ORDERID') CREATE INDEX IDX_OCDPM_EXECUTION_ORDERID ON T_OCDPM_EXECUTION ( FORDERID );


 EXEC P_ALTERPK 'PK_OCDPM_EXECUTION_E', 'T_OCDPM_EXECUTION_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_EXECUTION_E_ID') CREATE INDEX IDX_OCDPM_EXECUTION_E_ID ON T_OCDPM_EXECUTION_E ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE', 'T_OCDPM_ITEMPRICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_BILLNO') CREATE INDEX IDX_OCDPM_ITEMPRICE_BILLNO ON T_OCDPM_ITEMPRICE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_BRANCH', 'T_OCDPM_ITEMPRICE_BRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_BRANCH_ID') CREATE INDEX IDX_OCDPM_ITEMPRICE_BRANCH_ID ON T_OCDPM_ITEMPRICE_BRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_BRANGE', 'T_OCDPM_ITEMPRICE_BRANGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_BRANGE_ID') CREATE INDEX IDX_OCDPM_ITEMPRICE_BRANGE_ID ON T_OCDPM_ITEMPRICE_BRANGE ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_DTL', 'T_OCDPM_ITEMPRICE_DTL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_DTL_ID') CREATE INDEX IDX_OCDPM_ITEMPRICE_DTL_ID ON T_OCDPM_ITEMPRICE_DTL ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_DTL_R', 'T_OCDPM_ITEMPRICE_DTL_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_DTLR_ID') CREATE INDEX IDX_OCDPM_ITEMPRICE_DTLR_ID ON T_OCDPM_ITEMPRICE_DTL_R ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_ORG', 'T_OCDPM_ITEMPRICE_ORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_ORG_FID') CREATE INDEX IDX_OCDPM_ITEMPRICE_ORG_FID ON T_OCDPM_ITEMPRICE_ORG ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_RECORD', 'T_OCDPM_ITEMPRICE_RECORD', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_RECORD_EID') CREATE INDEX IDX_OCDPM_ITEMPRICE_RECORD_EID ON T_OCDPM_ITEMPRICE_RECORD ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDPM_ITEMPRICE_Y', 'T_OCDPM_ITEMPRICE_Y', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_ITEMPRICE_Y_UP') CREATE INDEX IDX_OCDPM_ITEMPRICE_Y_UP ON T_OCDPM_ITEMPRICE_Y ( FISUSERETAILPRICE );


 EXEC P_ALTERPK 'PK_OCDPM_OLINVITATE', 'T_OCDPM_OLINVITATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_OLINVITATE_NUM') CREATE INDEX IDX_OCDPM_OLINVITATE_NUM ON T_OCDPM_OLINVITATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDPM_OLINVITATE_L', 'T_OCDPM_OLINVITATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_OLINVITATEL_LID') CREATE INDEX IDX_OCDPM_OLINVITATEL_LID ON T_OCDPM_OLINVITATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDPM_OLINVITATEBRANCH', 'T_OCDPM_OLINVITATEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_OLINVITATEBRANCH_ID') CREATE INDEX IDX_OCDPM_OLINVITATEBRANCH_ID ON T_OCDPM_OLINVITATEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_OLINVITATECHAN', 'T_OCDPM_OLINVITATECHAN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_OLINVITATECHAN_ID') CREATE INDEX IDX_OCDPM_OLINVITATECHAN_ID ON T_OCDPM_OLINVITATECHAN ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_OLINVITATEORG', 'T_OCDPM_OLINVITATEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_OLINVITATEORG_FID') CREATE INDEX IDX_OCDPM_OLINVITATEORG_FID ON T_OCDPM_OLINVITATEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTE', 'T_OCDPM_PROMOTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTE_BNO') CREATE INDEX IDX_OCDPM_PROMOTE_BNO ON T_OCDPM_PROMOTE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTE_O', 'T_OCDPM_PROMOTE_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEO_FOBJ') CREATE INDEX IDX_OCDPM_PROMOTEO_FOBJ ON T_OCDPM_PROMOTE_O ( FCOSTASSUMEOBJID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTEBRANCH', 'T_OCDPM_PROMOTEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEBRANCH_FID') CREATE INDEX IDX_OCDPM_PROMOTEBRANCH_FID ON T_OCDPM_PROMOTEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTECHANNEL', 'T_OCDPM_PROMOTECHANNEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTECHANNEL_FID') CREATE INDEX IDX_OCDPM_PROMOTECHANNEL_FID ON T_OCDPM_PROMOTECHANNEL ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTEDATE', 'T_OCDPM_PROMOTEDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEDATE_FID') CREATE INDEX IDX_OCDPM_PROMOTEDATE_FID ON T_OCDPM_PROMOTEDATE ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTEITEM', 'T_OCDPM_PROMOTEITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEITEM_FID') CREATE INDEX IDX_OCDPM_PROMOTEITEM_FID ON T_OCDPM_PROMOTEITEM ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTEMEMBER', 'T_OCDPM_PROMOTEMEMBER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEMEMBER_FID') CREATE INDEX IDX_OCDPM_PROMOTEMEMBER_FID ON T_OCDPM_PROMOTEMEMBER ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTEORG', 'T_OCDPM_PROMOTEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTEORG_FID') CREATE INDEX IDX_OCDPM_PROMOTEORG_FID ON T_OCDPM_PROMOTEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTERULE', 'T_OCDPM_PROMOTERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTERULE_BID') CREATE INDEX IDX_OCDPM_PROMOTERULE_BID ON T_OCDPM_PROMOTERULE ( FPROMOTEBILLID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTERULEITEM', 'T_OCDPM_PROMOTERULEITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTERULEITEM_FID') CREATE INDEX IDX_OCDPM_PROMOTERULEITEM_FID ON T_OCDPM_PROMOTERULEITEM ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTERULELAD', 'T_OCDPM_PROMOTERULELAD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTERULELAD_FID') CREATE INDEX IDX_OCDPM_PROMOTERULELAD_FID ON T_OCDPM_PROMOTERULELAD ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTERULEPOINT', 'T_OCDPM_PROMOTERULEPOINT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTERULEPOINT_FID') CREATE INDEX IDX_OCDPM_PROMOTERULEPOINT_FID ON T_OCDPM_PROMOTERULEPOINT ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_PROMOTERULETICK', 'T_OCDPM_PROMOTERULETICK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_PROMOTERULETICK_FID') CREATE INDEX IDX_OCDPM_PROMOTERULETICK_FID ON T_OCDPM_PROMOTERULETICK ( FID );


 EXEC P_ALTERPK 'PK_OCDPM_RTPRICETYPE', 'T_OCDPM_RTPRICETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_RTPRICETYPE_NUM') CREATE INDEX IDX_OCDPM_RTPRICETYPE_NUM ON T_OCDPM_RTPRICETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDPM_RTPRICETYPE_L', 'T_OCDPM_RTPRICETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDPM_RTPRICETYPEL_LID') CREATE INDEX IDX_OCDPM_RTPRICETYPEL_LID ON T_OCDPM_RTPRICETYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_constraint.sql **/
