﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_DEPLOYSTRATEGY') 
 CREATE TABLE T_OCDPM_DEPLOYSTRATEGY (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROSTRATEGY') 
 CREATE TABLE T_OCDPM_PROSTRATEGY (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_COMBINATIONENTRY') 
 CREATE TABLE T_OCDPM_COMBINATIONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FATTRID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FMATERIALASSIST BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_CONDITION') 
 CREATE TABLE T_OCDPM_CONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FCONDITIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FATTRID BIGINT DEFAULT 0 NOT NULL,
FITEMRANGEID BIGINT DEFAULT 0 NOT NULL,
FJUDGESTANDARD NVARCHAR(10) DEFAULT 'qty' NOT NULL,
FJUDGEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPARISON CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FPARENTJUDGEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISRANGESPLIT CHAR(1) DEFAULT '0' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_CONRANGETYPE') 
 CREATE TABLE T_OCDPM_CONRANGETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FCLASSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPREINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FISRANGE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_CONRANGETYPE_L') 
 CREATE TABLE T_OCDPM_CONRANGETYPE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_CUSTOMERRANGE') 
 CREATE TABLE T_OCDPM_CUSTOMERRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_CUSTOMERRANGEENT') 
 CREATE TABLE T_OCDPM_CUSTOMERRANGEENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREGIONID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERGROUPID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERGRADEID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FISREMOVED CHAR(1) DEFAULT '0' NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_CUSTOMERSCOPE') 
 CREATE TABLE T_OCDPM_CUSTOMERSCOPE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERGROUPID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_EXECUTION') 
 CREATE TABLE T_OCDPM_EXECUTION (
FID BIGINT DEFAULT 0 NOT NULL,
FPOLICYID BIGINT DEFAULT 0 NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FISUSED CHAR(1) DEFAULT '0' NOT NULL,
FGROUPNUMBER CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_EXECUTION_E') 
 CREATE TABLE T_OCDPM_EXECUTION_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FCOMBINATIONID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FATTRID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTID BIGINT DEFAULT 0 NOT NULL,
FRESULTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTRYIDS NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE') 
 CREATE TABLE T_OCDPM_ITEMPRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FUSETERMINAL CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT 'A' NOT NULL,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FISDISTRIBUTED CHAR(1) DEFAULT '0' NOT NULL,
FISCANDISTRIBUTE CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FISSTORE CHAR(1) DEFAULT '0' NOT NULL,
FISONLINESTORE CHAR(1) DEFAULT '0' NOT NULL,
FISONLINEMARKET CHAR(1) DEFAULT '0' NOT NULL,
FISUNAUDIT CHAR(1) DEFAULT '0' NOT NULL,
FFIRSTAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_BRANCH') 
 CREATE TABLE T_OCDPM_ITEMPRICE_BRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISDISTRIBUTED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_BRANGE') 
 CREATE TABLE T_OCDPM_ITEMPRICE_BRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_DTL') 
 CREATE TABLE T_OCDPM_ITEMPRICE_DTL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FPRICEUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICENUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FISINVALID CHAR(1) DEFAULT '0' NOT NULL,
FDISABLOPERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEOPDATE DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_DTL_R') 
 CREATE TABLE T_OCDPM_ITEMPRICE_DTL_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRPADJUSTNUM INT DEFAULT 0 NOT NULL,
FUNIQUEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPADJUSTNUM INT DEFAULT 0 NOT NULL,
FFACTORYPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPADJUSTNUM INT DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMPADJUSTNUM INT DEFAULT 0 NOT NULL,
FSPECIALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPADJUSTNUM INT DEFAULT 0 NOT NULL,
FHIGHPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHPADJUSTNUM INT DEFAULT 0 NOT NULL,
FLOWPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLPADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP1ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP2ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP3ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP4ADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICE5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FP5ADJUSTNUM INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_ORG') 
 CREATE TABLE T_OCDPM_ITEMPRICE_ORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_RECORD') 
 CREATE TABLE T_OCDPM_ITEMPRICE_RECORD (
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FPRICEUNITID BIGINT DEFAULT 0 NOT NULL,
FADJUSTPRICETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBEFOREPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODERATORID BIGINT DEFAULT 0 NOT NULL,
FADJUSTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_ITEMPRICE_Y') 
 CREATE TABLE T_OCDPM_ITEMPRICE_Y (
FID BIGINT DEFAULT 0 NOT NULL,
FISUSERETAILPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEFACTORYPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEUNIQUEPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEMEMBERPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSESPECIALPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE1 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE2 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE3 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE4 CHAR(1) DEFAULT '0' NOT NULL,
FISUSEPRICE5 CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_OLINVITATE') 
 CREATE TABLE T_OCDPM_OLINVITATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION_TAG NCLOB,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSUBJECTPIC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIVITYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FACTIVITYSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FLIMITTIMES INT DEFAULT 0 NOT NULL,
FCONTROLMODE CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_OLINVITATE_L') 
 CREATE TABLE T_OCDPM_OLINVITATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_OLINVITATEBRANCH') 
 CREATE TABLE T_OCDPM_OLINVITATEBRANCH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_OLINVITATECHAN') 
 CREATE TABLE T_OCDPM_OLINVITATECHAN (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_OLINVITATEORG') 
 CREATE TABLE T_OCDPM_OLINVITATEORG (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTE') 
 CREATE TABLE T_OCDPM_PROMOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTETHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTETYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENDDATE DATETIME,
FPROMOTESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONSID BIGINT DEFAULT 0 NOT NULL,
FPROMOTEIMAGEURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FTERMINATOR BIGINT DEFAULT 0 NOT NULL,
FTERMINATORTIME DATETIME,
FDYNAMICBILL VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTE_O') 
 CREATE TABLE T_OCDPM_PROMOTE_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FISPOINTPERMIT CHAR(1) DEFAULT '0' NOT NULL,
FPOINTMUTIPLE BIGINT DEFAULT 0 NOT NULL,
FITEMSELECTED CHAR(1) DEFAULT '1' NOT NULL,
FSUITABLEDATE CHAR(1) DEFAULT ' ' NOT NULL,
FCOSTASSUMEOBJECT VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOSTASSUMEOBJID BIGINT DEFAULT 0 NOT NULL,
FASSUMECOSTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECHOUR BIGINT DEFAULT 0 NOT NULL,
FEFFECTHOUR BIGINT DEFAULT 0 NOT NULL,
FINVALIDHOUR BIGINT DEFAULT 0 NOT NULL,
FISOFFLINESTOREPROM CHAR(1) DEFAULT '0' NOT NULL,
FISONLINEMALLPROM CHAR(1) DEFAULT '0' NOT NULL,
FISONLINESTOREPROM CHAR(1) DEFAULT '0' NOT NULL,
FISOFFSTATEPROMOTE CHAR(1) DEFAULT '0' NOT NULL,
FISPOSSECONDSCREEN CHAR(1) DEFAULT '0' NOT NULL,
FISMANUALPROMOTE CHAR(1) DEFAULT '0' NOT NULL,
FTIMERANGE CHAR(1) DEFAULT '1' NOT NULL,
FALLITEMDISCO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEMBERGROUP CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTEBRANCH') 
 CREATE TABLE T_OCDPM_PROMOTEBRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTECHANNEL') 
 CREATE TABLE T_OCDPM_PROMOTECHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTEDATE') 
 CREATE TABLE T_OCDPM_PROMOTEDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATETEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDATETYPE CHAR(1) DEFAULT '3' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTEITEM') 
 CREATE TABLE T_OCDPM_PROMOTEITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMLABELID BIGINT DEFAULT 0 NOT NULL,
FSELECTNUM INT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT '1' NOT NULL,
FITEMPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTAAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISDROPOUT CHAR(1) DEFAULT '0' NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTATTID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTEMEMBER') 
 CREATE TABLE T_OCDPM_PROMOTEMEMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDESIGNATION NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FVIPLEVERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERLABELID BIGINT DEFAULT 0 NOT NULL,
FTYPETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTEORG') 
 CREATE TABLE T_OCDPM_PROMOTEORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTERULE') 
 CREATE TABLE T_OCDPM_PROMOTERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSEQNO INT DEFAULT 0 NOT NULL,
FPROMOTEBILLID BIGINT DEFAULT 0 NOT NULL,
FTARGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOINTSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FFORMID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETQTY INT DEFAULT 0 NOT NULL,
FTICKETSUMQTY INT DEFAULT 0 NOT NULL,
FITEMGROUP CHAR(1) DEFAULT ' ' NOT NULL,
FREDUCTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBINDREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROUPSEQNO INT DEFAULT 0 NOT NULL,
FSUMITEMQTY INT DEFAULT 0 NOT NULL,
FSUMGIVEQTY INT DEFAULT 0 NOT NULL,
FPICKQTY INT DEFAULT 0 NOT NULL,
FBINDTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBINDPICKQTY INT DEFAULT 0 NOT NULL,
FLADITEMID BIGINT DEFAULT 0 NOT NULL,
FLADBARCODEID BIGINT DEFAULT 0 NOT NULL,
FLADITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FLADBRANDID BIGINT DEFAULT 0 NOT NULL,
FLADITEMLABELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTERULEITEM') 
 CREATE TABLE T_OCDPM_PROMOTERULEITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FPROMOTEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYMODEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTERULELAD') 
 CREATE TABLE T_OCDPM_PROMOTERULELAD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLADTARGETQTY INT DEFAULT 0 NOT NULL,
FLADREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLADDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTERULEPOINT') 
 CREATE TABLE T_OCDPM_PROMOTERULEPOINT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOINTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_PROMOTERULETICK') 
 CREATE TABLE T_OCDPM_PROMOTERULETICK (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTICKETSTYPEID BIGINT DEFAULT 0 NOT NULL,
FINTNUMBER INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_RTPRICETYPE') 
 CREATE TABLE T_OCDPM_RTPRICETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSHORTNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FISALLOWADJUST CHAR(1) DEFAULT '0' NOT NULL,
FALLOWADJUSTNUM INT DEFAULT 0 NOT NULL,
FPRICEFIELD CHAR(1) DEFAULT ' ' NOT NULL,
FUSETERMINAL CHAR(1) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVETIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDPM_RTPRICETYPE_L') 
 CREATE TABLE T_OCDPM_RTPRICETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDPM_table.sql **/
